io.agora.rtc

## Class LocalAudioDetailedStats

- java.lang.Object
- - io.agora.rtc.LocalAudioDetailedStats

-     public class LocalAudioDetailedStats
      extends java.lang.Object

  Detailed statistics for local audio.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private AnaStats` | `anaStatistics` ANA statistics
    `private AudioProcessingStats` | `apmStatistics` APM statistics
    `private int` | `audioLevel` Audio level
    `private long` | `bytesSent` Bytes sent
    `private byte` | `codecName` Codec name
    `private int` | `codecPayloadType` Codec payload type
    `private int` | `extSeqnum` Extended sequence number
    `private float` | `fractionLost` Fraction lost
    `private int` | `jitterMs` Jitter (ms)
    `private int` | `localSsrc` Local SSRC
    `private int` | `packetsLost` Packets lost
    `private int` | `packetsSent` Packets sent
    `private long` | `rttMs` Round-trip time (ms)
    `private double` | `totalInputDuration` Total input duration
    `private double` | `totalInputEnergy` Total input energy
    `private int` | `typingNoiseDetected` Typing noise detected flag

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalAudioDetailedStats()` Default constructor for LocalAudioDetailedStats.
    `LocalAudioDetailedStats(int localSsrc, long bytesSent, int packetsSent, int packetsLost, float fractionLost, byte codecName, int codecPayloadType, int extSeqnum, int jitterMs, long rttMs, int audioLevel, double totalInputEnergy, double totalInputDuration, int typingNoiseDetected, AnaStats anaStatistics, AudioProcessingStats apmStatistics)` Constructs LocalAudioDetailedStats with all parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AnaStats` | `getAnaStatistics()` Gets the ANA statistics.
    `AudioProcessingStats` | `getApmStatistics()` Gets the APM statistics.
    `int` | `getAudioLevel()` Gets the audio level.
    `long` | `getBytesSent()` Gets the bytes sent.
    `byte` | `getCodecName()` Gets the codec name.
    `int` | `getCodecPayloadType()` Gets the codec payload type.
    `int` | `getExtSeqnum()` Gets the extended sequence number.
    `float` | `getFractionLost()` Gets the fraction lost.
    `int` | `getJitterMs()` Gets the jitter (ms).
    `int` | `getLocalSsrc()` Gets the local SSRC.
    `int` | `getPacketsLost()` Gets the packets lost.
    `int` | `getPacketsSent()` Gets the packets sent.
    `long` | `getRttMs()` Gets the round-trip time (ms).
    `double` | `getTotalInputDuration()` Gets the total input duration.
    `double` | `getTotalInputEnergy()` Gets the total input energy.
    `int` | `getTypingNoiseDetected()` Gets the typing noise detected flag.
    `void` | `setAnaStatistics(AnaStats anaStatistics)` Sets the ANA statistics.
    `void` | `setApmStatistics(AudioProcessingStats apmStatistics)` Sets the APM statistics.
    `void` | `setAudioLevel(int audioLevel)` Sets the audio level.
    `void` | `setBytesSent(long bytesSent)` Sets the bytes sent.
    `void` | `setCodecName(byte codecName)` Sets the codec name.
    `void` | `setCodecPayloadType(int codecPayloadType)` Sets the codec payload type.
    `void` | `setExtSeqnum(int extSeqnum)` Sets the extended sequence number.
    `void` | `setFractionLost(float fractionLost)` Sets the fraction lost.
    `void` | `setJitterMs(int jitterMs)` Sets the jitter (ms).
    `void` | `setLocalSsrc(int localSsrc)` Sets the local SSRC.
    `void` | `setPacketsLost(int packetsLost)` Sets the packets lost.
    `void` | `setPacketsSent(int packetsSent)` Sets the packets sent.
    `void` | `setRttMs(long rttMs)` Sets the round-trip time (ms).
    `void` | `setTotalInputDuration(double totalInputDuration)` Sets the total input duration.
    `void` | `setTotalInputEnergy(double totalInputEnergy)` Sets the total input energy.
    `void` | `setTypingNoiseDetected(int typingNoiseDetected)` Sets the typing noise detected flag.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### localSsrc

          private int localSsrc

      Local SSRC

    - #### bytesSent

          private long bytesSent

      Bytes sent

    - #### packetsSent

          private int packetsSent

      Packets sent

    - #### packetsLost

          private int packetsLost

      Packets lost

    - #### fractionLost

          private float fractionLost

      Fraction lost

    - #### codecName

          private byte codecName

      Codec name

    - #### codecPayloadType

          private int codecPayloadType

      Codec payload type

    - #### extSeqnum

          private int extSeqnum

      Extended sequence number

    - #### jitterMs

          private int jitterMs

      Jitter (ms)

    - #### rttMs

          private long rttMs

      Round-trip time (ms)

    - #### audioLevel

          private int audioLevel

      Audio level

    - #### totalInputEnergy

          private double totalInputEnergy

      Total input energy

    - #### totalInputDuration

          private double totalInputDuration

      Total input duration

    - #### typingNoiseDetected

          private int typingNoiseDetected

      Typing noise detected flag

    - #### anaStatistics

          private AnaStats anaStatistics

      ANA statistics

    - #### apmStatistics

          private AudioProcessingStats apmStatistics

      APM statistics

  - ### Constructor Detail

    - #### LocalAudioDetailedStats

          public LocalAudioDetailedStats()

      Default constructor for LocalAudioDetailedStats.

    - #### LocalAudioDetailedStats

          public LocalAudioDetailedStats(int localSsrc,
                                         long bytesSent,
                                         int packetsSent,
                                         int packetsLost,
                                         float fractionLost,
                                         byte codecName,
                                         int codecPayloadType,
                                         int extSeqnum,
                                         int jitterMs,
                                         long rttMs,
                                         int audioLevel,
                                         double totalInputEnergy,
                                         double totalInputDuration,
                                         int typingNoiseDetected,
                                         AnaStats anaStatistics,
                                         AudioProcessingStats apmStatistics)

      Constructs LocalAudioDetailedStats with all parameters.
      Parameters:
        `localSsrc` - Local SSRC
        `bytesSent` - Bytes sent
        `packetsSent` - Packets sent
        `packetsLost` - Packets lost
        `fractionLost` - Fraction lost
        `codecName` - Codec name
        `codecPayloadType` - Codec payload type
        `extSeqnum` - Extended sequence number
        `jitterMs` - Jitter (ms)
        `rttMs` - Round-trip time (ms)
        `audioLevel` - Audio level
        `totalInputEnergy` - Total input energy
        `totalInputDuration` - Total input duration
        `typingNoiseDetected` - Typing noise detected flag
        `anaStatistics` - ANA statistics
        `apmStatistics` - APM statistics

  - ### Method Detail

    - #### getLocalSsrc

          public int getLocalSsrc()

      Gets the local SSRC.
      Returns:
        Local SSRC

    - #### setLocalSsrc

          public void setLocalSsrc(int localSsrc)

      Sets the local SSRC.
      Parameters:
        `localSsrc` - Local SSRC

    - #### getBytesSent

          public long getBytesSent()

      Gets the bytes sent.
      Returns:
        Bytes sent

    - #### setBytesSent

          public void setBytesSent(long bytesSent)

      Sets the bytes sent.
      Parameters:
        `bytesSent` - Bytes sent

    - #### getPacketsSent

          public int getPacketsSent()

      Gets the packets sent.
      Returns:
        Packets sent

    - #### setPacketsSent

          public void setPacketsSent(int packetsSent)

      Sets the packets sent.
      Parameters:
        `packetsSent` - Packets sent

    - #### getPacketsLost

          public int getPacketsLost()

      Gets the packets lost.
      Returns:
        Packets lost

    - #### setPacketsLost

          public void setPacketsLost(int packetsLost)

      Sets the packets lost.
      Parameters:
        `packetsLost` - Packets lost

    - #### getFractionLost

          public float getFractionLost()

      Gets the fraction lost.
      Returns:
        Fraction lost

    - #### setFractionLost

          public void setFractionLost(float fractionLost)

      Sets the fraction lost.
      Parameters:
        `fractionLost` - Fraction lost

    - #### getCodecName

          public byte getCodecName()

      Gets the codec name.
      Returns:
        Codec name

    - #### setCodecName

          public void setCodecName(byte codecName)

      Sets the codec name.
      Parameters:
        `codecName` - Codec name

    - #### getCodecPayloadType

          public int getCodecPayloadType()

      Gets the codec payload type.
      Returns:
        Codec payload type

    - #### setCodecPayloadType

          public void setCodecPayloadType(int codecPayloadType)

      Sets the codec payload type.
      Parameters:
        `codecPayloadType` - Codec payload type

    - #### getExtSeqnum

          public int getExtSeqnum()

      Gets the extended sequence number.
      Returns:
        Extended sequence number

    - #### setExtSeqnum

          public void setExtSeqnum(int extSeqnum)

      Sets the extended sequence number.
      Parameters:
        `extSeqnum` - Extended sequence number

    - #### getJitterMs

          public int getJitterMs()

      Gets the jitter (ms).
      Returns:
        Jitter (ms)

    - #### setJitterMs

          public void setJitterMs(int jitterMs)

      Sets the jitter (ms).
      Parameters:
        `jitterMs` - Jitter (ms)

    - #### getRttMs

          public long getRttMs()

      Gets the round-trip time (ms).
      Returns:
        Round-trip time (ms)

    - #### setRttMs

          public void setRttMs(long rttMs)

      Sets the round-trip time (ms).
      Parameters:
        `rttMs` - Round-trip time (ms)

    - #### getAudioLevel

          public int getAudioLevel()

      Gets the audio level.
      Returns:
        Audio level

    - #### setAudioLevel

          public void setAudioLevel(int audioLevel)

      Sets the audio level.
      Parameters:
        `audioLevel` - Audio level

    - #### getTotalInputEnergy

          public double getTotalInputEnergy()

      Gets the total input energy.
      Returns:
        Total input energy

    - #### setTotalInputEnergy

          public void setTotalInputEnergy(double totalInputEnergy)

      Sets the total input energy.
      Parameters:
        `totalInputEnergy` - Total input energy

    - #### getTotalInputDuration

          public double getTotalInputDuration()

      Gets the total input duration.
      Returns:
        Total input duration

    - #### setTotalInputDuration

          public void setTotalInputDuration(double totalInputDuration)

      Sets the total input duration.
      Parameters:
        `totalInputDuration` - Total input duration

    - #### getTypingNoiseDetected

          public int getTypingNoiseDetected()

      Gets the typing noise detected flag.
      Returns:
        Typing noise detected flag

    - #### setTypingNoiseDetected

          public void setTypingNoiseDetected(int typingNoiseDetected)

      Sets the typing noise detected flag.
      Parameters:
        `typingNoiseDetected` - Typing noise detected flag

    - #### getAnaStatistics

          public AnaStats getAnaStatistics()

      Gets the ANA statistics.
      Returns:
        ANA statistics

    - #### setAnaStatistics

          public void setAnaStatistics(AnaStats anaStatistics)

      Sets the ANA statistics.
      Parameters:
        `anaStatistics` - ANA statistics

    - #### getApmStatistics

          public AudioProcessingStats getApmStatistics()

      Gets the APM statistics.
      Returns:
        APM statistics

    - #### setApmStatistics

          public void setApmStatistics(AudioProcessingStats apmStatistics)

      Sets the APM statistics.
      Parameters:
        `apmStatistics` - APM statistics